summaryrefslogtreecommitdiffstats
path: root/ansible/roles/gsm-tester/tasks/main.yml
diff options
context:
space:
mode:
authorOliver Smith <osmith@sysmocom.de>2021-03-08 11:16:35 +0100
committerOliver Smith <osmith@sysmocom.de>2021-03-08 15:47:17 +0100
commitaee8b3f14b82dbe9318dc9b0aff66260ea4e8254 (patch)
tree750e3c2668c2d311176d870f7ba9da0f292f2704 /ansible/roles/gsm-tester/tasks/main.yml
parent8c48d2020a943cecd627f4d7d6e9397140db3f5f (diff)
ansible: fix apt deprecation warning about loops
Fix deprecation warnings like the following: [DEPRECATION WARNING]: Invoking "apt" only once while using a loop via squash_actions is deprecated. Instead of using a loop to supply multiple items and specifying `name: "{{ item }}"`, please use `name: ['libjansson-dev', 'libulfius-dev']` and remove the loop. This feature will be removed in version 2.11. Related: OS#5055 Change-Id: I57b9ce690e8167249468954f3e62d14c7a92fcfc
Diffstat (limited to 'ansible/roles/gsm-tester/tasks/main.yml')
-rw-r--r--ansible/roles/gsm-tester/tasks/main.yml143
1 files changed, 67 insertions, 76 deletions
diff --git a/ansible/roles/gsm-tester/tasks/main.yml b/ansible/roles/gsm-tester/tasks/main.yml
index eaf50fd..418509e 100644
--- a/ansible/roles/gsm-tester/tasks/main.yml
+++ b/ansible/roles/gsm-tester/tasks/main.yml
@@ -9,41 +9,39 @@
- name: install osmocom runtime dependencies
apt:
- name: "{{ item }}"
- with_items:
- - build-essential
- - git
- - automake
- - libdbi-dev
- - libdbd-sqlite3
- - sqlite3
- - libsctp-dev
- - libortp-dev
- - libpcap-dev
- - libc-ares-dev
- - libtool
- - shtool
- - pkg-config
- - libtalloc-dev
- - libpcsclite-dev
- - libgnutls28-dev
- - libmnl-dev
- - libssl-dev
- - libczmq-dev
- - libsofia-sip-ua-glib-dev
- - libsqlite3-dev
- - libasound2-dev
- - liblua5.3-dev
- - lua-socket
+ name:
+ - build-essential
+ - git
+ - automake
+ - libdbi-dev
+ - libdbd-sqlite3
+ - sqlite3
+ - libsctp-dev
+ - libortp-dev
+ - libpcap-dev
+ - libc-ares-dev
+ - libtool
+ - shtool
+ - pkg-config
+ - libtalloc-dev
+ - libpcsclite-dev
+ - libgnutls28-dev
+ - libmnl-dev
+ - libssl-dev
+ - libczmq-dev
+ - libsofia-sip-ua-glib-dev
+ - libsqlite3-dev
+ - libasound2-dev
+ - liblua5.3-dev
+ - lua-socket
tags:
- osmocom
# mdbus2 is not available in debian10. TODO: compile it for >9
- name: install mdbus2
apt:
- name: "{{ item }}"
- with_items:
- - mdbus2
+ name:
+ - mdbus2
when: ansible_distribution == 'Debian' and ansible_distribution_version <= '9'
tags:
- ofono
@@ -51,35 +49,32 @@
- name: install srsLTE build-only dependencies
apt:
- name: "{{ item }}"
- with_items:
- - cmake
- - libfftw3-dev
- - libmbedtls-dev
- - libboost-program-options-dev
- - libconfig++-dev
- - libsctp-dev
- - libpcsclite-dev
- - libuhd-dev
- - libczmq-dev
- - libsoapysdr-dev
+ name:
+ - cmake
+ - libfftw3-dev
+ - libmbedtls-dev
+ - libboost-program-options-dev
+ - libconfig++-dev
+ - libsctp-dev
+ - libpcsclite-dev
+ - libuhd-dev
+ - libczmq-dev
+ - libsoapysdr-dev
tags:
- srs
- name: install srsLTE runtime extra dependencies (Debian)
apt:
- name: "{{ item }}"
- with_items:
- - soapysdr0.7-module-lms7
+ name:
+ - soapysdr0.7-module-lms7
when: ansible_distribution == 'Debian'
tags:
- srs
- name: install srsLTE runtime extra dependencies (Ubuntu)
apt:
- name: "{{ item }}"
- with_items:
- - soapysdr0.6-module-lms7
+ name:
+ - soapysdr0.6-module-lms7
when: ansible_distribution == 'Ubuntu'
tags:
- srs
@@ -101,9 +96,8 @@
- name: install uhub dependencies
apt:
- name: "{{ item }}"
- with_items:
- - libusb-1.0-0-dev
+ name:
+ - libusb-1.0-0-dev
tags:
- modem
@@ -172,9 +166,8 @@
- name: install patchelf build dependencies
apt:
- name: "{{ item }}"
- with_items:
- - autoconf
+ name:
+ - autoconf
tags:
- patchelf
- osmo-gsm-tester-proc
@@ -208,34 +201,32 @@
- name: install gsm tester dependencies (main)
apt:
- name: "{{ item }}"
- with_items:
- - sqlite3
- - python3
- - python3-setuptools
- - python3-yaml
- - python3-mako
- - python3-gi
- - python3-watchdog
- - python3-numpy
- - python3-websocket
- - ofono
- - patchelf
- - libcap2-bin
- - python3-pip
- - udhcpc
+ name:
+ - sqlite3
+ - python3
+ - python3-setuptools
+ - python3-yaml
+ - python3-mako
+ - python3-gi
+ - python3-watchdog
+ - python3-numpy
+ - python3-websocket
+ - ofono
+ - patchelf
+ - libcap2-bin
+ - python3-pip
+ - udhcpc
tags:
- osmo-gsm-tester-main
- name: install gsm tester dependencies (proc)
apt:
- name: "{{ item }}"
- with_items:
- - tcpdump
- - patchelf
- - libcap2-bin
- - iperf3
- - sudo
+ name:
+ - tcpdump
+ - patchelf
+ - libcap2-bin
+ - iperf3
+ - sudo
tags:
- osmo-gsm-tester-proc